(*-------------------------------------------------------------------------*)
(*                        NEFCLASS-PC Resource Creator                     *)
(*-------------------------------------------------------------------------*)
(* This unit contains the constants to define the NEFCLASS-PC commands     *)
(*-------------------------------------------------------------------------*)
(* Filename: NFCL_CON.PAS                                                  *)
(* Programmer: Ulrike Nauck                                                *)
(* Last change: 11/12/95                                                   *)
(*-------------------------------------------------------------------------*)
(* (c) Technical University of Braunschweig, 1994                          *)
(*-------------------------------------------------------------------------*)

unit NFCL_Con;

interface

const
  VersionString = '2.04';
  DateString    = 'January 31, 1996';

const
  cmClipShow = 260;
  cmAbout = 270;
  cmLicence = 1100;
  cmHeapSituation = 280;

const
  cmOptionsVideo = 1502;
  cmOptionsSave = 1503;
  cmOptionsLoad = 1504;

const
  cmNetworkLoad    = 1601;
  cmNetworkSave    = 1602;
  cmNetworkNew     = 1603;
  cmNetworkDisplay = 1604;
  cmNetworkRules   = 1605;
  cmNetworkChange  = 1606;
  cmNetworkWeights = 1607;
  cmNetEditRules   = 1608;
  cmNetworkSaveAs  = 1609;
  cmNetworkLabel   = 1610;
  cmFSet           = 160;
  cmCSet           = 161;

const
  cmPatternLoad    = 1701;
  cmPatternDelete  = 1702;
  cmPatternDisplay = 1703;

const
  cmNetworkWin  = 1801;
  cmPatternWin  = 1802;

const
  cmRunLearn  = 1901;
  cmRunParam  = 1902;
  cmRunControl= 1903;
  cmRunTest   = 1911;
  cmRunStats  = 1912;

const (* Parameter dialog *)
  cmParamSave = 2001;
  cmParamCancel = 2002;

const (* Rule dialog *)
  cmEnterRule   = 2101;
  cmEnterAntec  = 2102;
  cmModifyAntec = 2103;
  cmDeleteAntec = 2105;
  cmDeleteRule  = 2106;
  cmSetRuleClass = 2107;

const (* Trainer *)
  cmLearnHalt     = 3001;
  cmLearnClose    = 3002;
  cmLearnGraphics = 3003;
  cmLearnStep     = 3004;
  cmLearnUpdate   = 3005;
  cmLearnFreq     = 3006;
  cmLearnResume   = 3007;

const (* Tester *)
  cmTestError     = 4000;
  cmTestNext      = 4001;
  cmTestPrev      = 4002;
  cmTestSave      = 4003;
  cmTestClose     = 4004;
  cmTestHelp      = 4005;

const (* Statistics *)
  cmStatsHelp     = 5002;
  cmStatsClose    = 5003;
  cmStatsNet      = 5004;
  cmStatsBar      = 5005;
  cmStatsProj     = 5006;
  cmStatsStat     = 5007;
  cmStatsPlot     = 5008;

const
  cmFindParamWindow = 301;

const
 SUMFLAG    = False;
 maxunits   = 50;     (* max. no. of units per layer *)
 maxfs      = 7;      (* max. no. of fuzzy sets per variable *)
                      (* ATTENTION: if maxfs * maxunits > 255, you must *)
                      (* change the types WheightMatrix and ByteVector! *)
 RuleLimit  = 500;    (* upper limit for number of rules *)
 {maxpattern = 1000;}   (* maximal number of patterns *)
 maxbuf     = 512;    (* buffer size, used for error values etc.*)
 mindiff    = 1.0e-5; (* minimal difference between two fuzzy set param. *)
 minwidth   = 0.1;    (* minimal width of fuzzy set *)
 reading    = true;   (* used for file IO *)
 writing    = false;  (* used for file IO *)
 gotoerror  = true;   (* used for pattern testing *)
 gotonext   = false;  (* used for pattern testing *)

const   (* Menu for the graphic display during learning *)
 DisplayMenu: array[1..4] of string[80] =
 ('Learning Mode  F: freeze/melt display              G: switch back to text mode',
  '               P: pause learning                  R: resume paused learning',
  '               S: toggle single step mode          U: update display (also RET)',
  '               PgUp/PgDown: used to scroll, if there are more than 4 variables');

implementation

end.
