Unit PlotBGI;

Interface

USES Graph;


CONST
  GraphIsOn : BOOLEAN = FALSE;          { TRUE wenn Grafik an }

PROCEDURE GraphicsOn (Name, PathToBGI: string);
PROCEDURE GraphicsOff;

Implementation

{ ---------------------------------------------------------------------------- }

PROCEDURE GraphicsOff;
BEGIN
  IF (GraphIsOn) THEN BEGIN
    { Grafik beenden }
    CloseGraph;
    { Handle 3 schlieen }
    ASM
      mov     bx, 3             { AUX-Handle }
      mov     ah, 3Eh           { Close handle }
      int     21h               { Handle schlieen }
    END;
    GraphIsOn := FALSE;
  END;
END;


PROCEDURE Error (Msg: STRING);
BEGIN
  GraphicsOff;
  Writeln (Msg);
  Halt (1);
END;


PROCEDURE GraphicsOn (Name, PathToBGI: string);

VAR
  GraphDriver : INTEGER;
  GraphMode   : INTEGER;
  Result      : INTEGER;
  PlotFile    : File;

BEGIN
  { Treiber installieren }
  GraphDriver := InstallUserDriver ('PLOTTER', NIL);
  IF (GraphDriver < 0) THEN BEGIN
    Error ('Error at installing PLOTTER.BGI');
  END;

  { Grafik einschalten, DIN A4 = Modus 0 }
  GraphMode := 0;
  InitGraph (GraphDriver, GraphMode, PathToBGI);
  Result := GraphResult;
  IF (Result <> 0) THEN BEGIN
    Error ('Error at initialization of plot graphic: '
           + GraphErrorMsg (Result));
  END;

  { Jetzt kommt's - Dateiumleitung in Pascal ! }

  { Beliebige Datei mit bergebenem Namen ffnen }
  Assign (PlotFile, Name);
  Rewrite (PlotFile, 1);    { Fehlercheck fehlt hier , $I+ (hoffentlich) }

  { DUP2 ausfhren }
  ASM
    mov     bx, WORD PTR [PlotFile]    { Datei-Handle holen }
    mov     cx, 3                      { AUX-Handle }
    mov     ax, 4600h                  { Force duplicate file handle }
    int     21h
    jnc     @@L1                       { Springe wenn kein Fehler }
    mov     [InOutRes], ax             { Fehlercode merken }
@@L1:
  END;
  IF (IOResult <> 0) THEN BEGIN
    { dup2 ging schief }
    Error ('Error at redirection of AUX handle to plot file');
  END;

  { Orginale Datei kann geschlossen werden (Fehlercheck fehlt hier) }
  Close (PlotFile);

  { Merken, da die Grafik an ist }
  GraphIsOn := TRUE;
END;



{ ---------------------------------------------------------------------------- }

PROCEDURE SetText (Font : WORD; Size : WORD);
  BEGIN
    SetTextStyle (Font, HorizDir, 4);
    SetTextJustify (LeftText, TopText);
    SetUserCharSize ((Size * 50) DIV 10, 10, (Size * 50) DIV 10, 10);
  END;

BEGIN
END.
